Subject: Re: Please discuss: what "git push" should do when you do not say what to push?

From: "H. Peter Anvin" <[email-masked]>
Date: Sat, 17 Mar 2012 21:02:27 -0700

On 03/17/2012 11:43 AM, fREW Schmidt wrote:
> On Sat, Mar 17, 2012 at 12:10 AM, Junio C Hamano <[email-masked]> wrote:
>>
>> There is a proposal to change the default behaviour of 'git push' on the
>> Git mailing list. The goal of this message is to encourage you to discuss
>> it before it happens (or the change is aborted, depending on the outcome
>> of the discussion).
> 
> I personally much prefer the one where it pushes the current branch to
> its tracking branch only.  That leaves very little room for surprises
> and mistakes (the one exception being git push after git checkout -b
> new-branch origin/master.)
> 

I would agree with this being the least surprising behavior.  I believe
this is what push.default = upstream does.

	-hpa